## GtkFixed GtkFixed |

## Functions

GtkWidget * | gtk_fixed_new ()
void | gtk_fixed_put ()
void | gtk_fixed_move ()
gboolean | gtk_fixed_get_has_window ()
void | gtk_fixed_set_has_window ()

## Child Properties

int | x | Read / Write
int | y | Read / Write

## Types and Values

struct | GtkFixed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkFixed

## Implemented Interfaces

GtkFixed implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_fixed_new ()

    GtkWidget *
    gtk_fixed_new (void);

### gtk_fixed_put ()

    void
    gtk_fixed_put (GtkFixed *fixed,
                   GtkWidget *widget,
                   gint x,
                   gint y);

### gtk_fixed_move ()

    void
    gtk_fixed_move (GtkFixed *fixed,
                    GtkWidget *widget,
                    gint x,
                    gint y);

### gtk_fixed_get_has_window ()

    gboolean
    gtk_fixed_get_has_window (GtkFixed *fixed);

`gtk_fixed_get_has_window` has been deprecated since version 2.20 and should not be used in newly-written code.

Use `gtk_widget_get_has_window()` instead.

Gets whether the GtkFixed has its own GdkWindow. See `gtk_fixed_set_has_window()`.

#### Parameters

fixed | a GtkWidget |

#### Returns

`TRUE` if `fixed` has its own window.

### gtk_fixed_set_has_window ()

    void
    gtk_fixed_set_has_window (GtkFixed *fixed,
                              gboolean has_window);

`gtk_fixed_set_has_window` has been deprecated since version 2.20 and should not be used in newly-written code.

Use `gtk_widget_set_has_window()` instead.

Sets whether a GtkFixed widget is created with a separate GdkWindow for `widget->window` or not. (By default, it will be created with no separate GdkWindow). This function must be called while the GtkFixed is not realized, for instance, immediately after the window is created.

This function was added to provide an easy migration path for older applications which may expect GtkFixed to have a separate window.

#### Parameters

fixed | a GtkFixed |
has_window | `TRUE` if a separate window should be created |

## Types and Values

### struct GtkFixed

    struct GtkFixed;

## Child Property Details

### The `“x”` child property

      “x”                        int

X position of child widget.

Owner: GtkFixed

Flags: Read / Write

Default value: 0

### The `“y”` child property

      “y”                        int

Y position of child widget.

Owner: GtkFixed

Flags: Read / Write

Default value: 0